curl --request PUT \
--url https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/nace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nace_codes": [
"10110",
"94910"
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/nace"
payload = { "nace_codes": ["10110", "94910"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({nace_codes: ['10110', '94910']})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/nace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Reprofile External Company's hiring activity with NACE-codes
Profiles the market-average hiring activity of an External Company based on their linked NACE-codes by creating corresponding pseudo-Vacancies in the system. This operation is substituting and replaces previously profiled pseudo-Vacancies.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
As European member states are free to deepen the baselist of NACE codes to classify economic activities, this parameter specifies the derivative set of NACE codes used as input. For example, NACEBEL-codes are standard use in Belgium.
nace_bel 1"nace_bel"
Body
Collection of NACE-codes used to profile the External Company. When empty, all existing pseudo-Vacancies are removed.
["10110", "94910"]
Response
No Content
Was this page helpful?